<template>
  <div>
    <badge v-bind:estado="TaskDetail.urgent.name"></badge>
    <h1>{{ TaskDetail.consigned.name }}</h1>
    <v-layout>
      <v-flex xs6 sm6>
        <span class="md-title">{{ TaskDetail.type.name }}</span>
      </v-flex>
    </v-layout>
    <v-layout>
      <v-flex>
        Hospital <br><span style="color: red">{{ TaskDetail.congeladas.clinica.name }}</span>
      </v-flex>
      <v-flex>
        Medico <br><spam style="color: red">{{ TaskDetail.congeladas.medico.name }}</spam>
      </v-flex>
    </v-layout>
    <v-layout>
      <v-flex>
        Fecha Operación<br>
        <span style="color: red">{{ gethour }}</span>
      </v-flex>
      <v-flex xs6 sm6 v-if="getages"><strong>Edad:</strong> {{ getages }}</v-flex>
    </v-layout>
    <v-layout>
      <v-flex xs6 sm6 v-if="TaskDetail.consigned.mobile"><strong>Movil:</strong> {{ TaskDetail.consigned.mobile }}</v-flex>
      <v-flex xs6 sm6 v-if="TaskDetail.consigned.gender"><strong>Genero:</strong> {{ TaskDetail.consigned.gender }}</v-flex>
    </v-layout>
    <v-layout>
      <v-flex xs12 v-if="TaskDetail.consigned.email"><strong>Email:</strong> {{ TaskDetail.consigned.email }}</v-flex>
    </v-layout>
  </div>
</template>

<script>
  import Badge from './UrgentBadge'
  import moment from 'moment'

    export default {
        name: "TaskHeaderCongeladas",
      props: ['TaskDetail'],
      components: {
        Badge
      },
      computed:{
        getages(){
          return moment().diff(this.TaskDetail.consigned.birth_date, 'years');
        },
        gethour(){
          return moment(this.TaskDetail.aproch).format('D/M/Y hh:mm')
        }
      }
    }
</script>

<style scoped>

</style>
